- Qt 6.8
- Qt Core
- C++ Classes
- QCryptographicHash
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QCryptographicHash

The following members of class QCryptographicHash are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | addData(const char *data, qsizetype length)

## Member Function Documentation

### `[deprecated]` void QCryptographicHash::addData(const char *data, qsizetype length)

This function is deprecated. We strongly advise against using it in new code.

Adds the first length chars of data to the cryptographic hash.

Use the QByteArrayView overload instead.